@font-face {
    font-family: 'icons';
    src: url('icons.ttf') format('truetype'), url('icons.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: block;
}

html {
    font-family: 'Roboto', sans-serif;
}

body {
    background: #ffffff;
    background: -moz-linear-gradient(-45deg, #ffffff 0%, #ffffff 50%, #F2F2F2 50%, #F2F2F2 50%, #F2F2F2 100%);
    background: -webkit-gradient(linear, left top, right bottom, color-stop(0%, #ffffff), color-stop(50%, #ffffff), color-stop(50%, #F2F2F2), color-stop(50%, #F2F2F2), color-stop(100%, #F2F2F2));
    background: -webkit-linear-gradient(-45deg, #ffffff 0%, #ffffff 50%, #F2F2F2 50%, #F2F2F2 50%, #F2F2F2 100%);
    background: -o-linear-gradient(-45deg, #ffffff 0%, #ffffff 50%, #F2F2F2 50%, #F2F2F2 50%, #F2F2F2 100%);
    background: -ms-linear-gradient(-45deg, #ffffff 0%, #ffffff 50%, #F2F2F2 50%, #F2F2F2 50%, #F2F2F2 100%);
    background: linear-gradient(135deg, #ffffff 0%, #ffffff 50%, #F2F2F2 50%, #F2F2F2 50%, #F2F2F2 100%);
}

header {
    margin-top: 2.5rem;
    text-align: center;
    font-size: 2rem;
    display: block;
}

main {
    margin-top: 50px;
    position: relative;
    font-size: 1rem;
    text-align: center;
    overflow: hidden;
}

.info {
    text-align: center;
    margin-top: 50px;
}

.button > a {
    clear: both;
    white-space: nowrap;
    display: inline-block;
    border-radius: 5px;
    box-shadow: 0 1px 5px 0 rgba(0, 0, 0, 0.35);
    margin: 2px;
    -webkit-transition: all .5s;
    -moz-transition: all .5s;
    transition: all .5s;
    overflow: hidden;

}

.button > a:hover {
    box-shadow: 0 5px 15px 0 rgba(0, 0, 0, 0.45);
}

.button > a:focus {
    box-shadow: 0 3px 10px 0 rgba(0, 0, 0, 0.4);
}

.button > a > span, .button a > i {
    float: left;
    padding: 13px;
    -webkit-transition: all .5s;
    -moz-transition: all .5s;
    transition: all .5s;
    line-height: 1em;
}

.button > a > span {
    padding: 14px 18px 16px;
    white-space: nowrap;
    color: #FFF;
    background: #b8b8b8;
    border-radius: 0 5px 5px 0;
    width: 263px;
}

.button > a:focus > span {
    background: #9a9a9a
}

.button > a > i {
    border-radius: 5px 0 0 5px;
    position: relative;
    width: 13px;
    text-align: center;
    font-size: 1.25em;
    color: #fff;
    background: #212121;

    /* use !important to prevent issues with browser extensions that change fonts */
    font-family: 'icons' !important;
    speak: never;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;

    /* Better Font Rendering =========== */
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.button > a > i:after {
    content: "";
    border: 8px solid;
    border-color: transparent transparent transparent #222;
    position: absolute;
    top: 13px;
    right: -15px
}

.button > a:hover > i, .button a:focus > i {
    color: #FFF
}

.button > a > i.icon-fw {
    text-align: center;
    width: 1.25em;
}

/* Logout */

.logout > a > span {
    background: #dc3545;
}

/* Apple */

.apple > a > i:before {
    content: "\e904";
}

.apple > a:hover > i, .apple > a:focus > i {
    color: #FFFFFF;
}

.apple > a > span {
    background: #000000;
}

/* Github */

.github > a > i:before {
    content: "\e903";
}

.github > a > span {
    color: #000000;
}

.github > a:hover > i, .github > a:focus > i {
    color: #FFFFFF;
}

.github > a > span {
    background: #FFFFFF;
}

/* Gitlab */

.gitlab > a > i:before {
    content: "\e906";
}

.gitlab > a:hover > i, .gitlab > a:focus > i {
    color: #E24329;
}

.gitlab > a > span {
    background: #E24329;
}

/* Google */

.google > a > i:before {
    content: "\e902";
}

.google > a:hover > i, .google > a:focus > i {
    color: #FF3E30
}

.google > a > span {
    background: #FF3E30
}

/* Microsoft */

.microsoft > a > i:before {
    content: "\e901";
}

.microsoft > a:hover > i, .microsoft > a:focus > i {
    color: #00A2ED;
}

.microsoft > a > span {
    background: #00A2ED;
}

/* Slack */

.slack > a > i:before {
    content: "\e900";
}

.slack > a:hover > i, .slack > a:focus > i {
    color: #4A154B;
}

.slack > a > span {
    background: #4A154B;
}
